## zathura 0.0.8.1

=== Makefile ===
# See LICENSE file for license and copyright information
# zathura - user interface

include config.mk

PROJECT  = zathura
SOURCE   = zathura.c
OBJECTS  = ${SOURCE:.c=.o}
DOBJECTS = ${SOURCE:.c=.do}

all: options ${PROJECT}

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LIBS    = ${LIBS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

%.o: %.c
	@echo CC $<
	@${CC} -c ${CFLAGS} -o $@ $<

%.do: %.c
	@echo CC $<
	@${CC} -c ${CFLAGS} ${DFLAGS} -o $@ $<

${OBJECTS}:  config.h config.mk
${DOBJECTS}: config.h config.mk

config.h: config.def.h
	@if [ -f $@ ] ; then \
		echo "config.h exists, but config.def.h is newer. Please check your" \
		"config.h or ${PROJECT} might fail to build." ; \
	else \
		cp $< $@ ; \
	fi

${PROJECT}: ${OBJECTS}
	@echo CC -o $@
	@${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}

clean:
	@rm -rf ${PROJECT} ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
		${DOBJECTS} ${PROJECT}-debug

distclean: clean
	@rm -rf config.h

${PROJECT}-debug: ${DOBJECTS}
	@echo CC -o ${PROJECT}-debug
	@${CC} ${LDFLAGS} -o ${PROJECT}-debug ${DOBJECTS} ${LIBS}

debug: ${PROJECT}-debug

valgrind: debug
	valgrind --tool=memcheck --leak-check=yes --show-reachable=yes \
		./${PROJECT}-debug

gdb: debug
	cgdb ${PROJECT}-debug

dist: clean
	@mkdir -p ${PROJECT}-${VERSION}
	@cp -R LICENSE Makefile config.mk config.def.h README \
			${PROJECT}.1 ${SOURCE} ${PROJECT}-${VERSION}
	@tar -cf ${PROJECT}-${VERSION}.tar ${PROJECT}-${VERSION}
	@gzip ${PROJECT}-${VERSION}.tar
	@rm -rf ${PROJECT}-${VERSION}

install: all
	@echo installing executeable file
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f ${PROJECT} ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin/${PROJECT}
	@echo installing manual page
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < ${PROJECT}.1 > ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1

uninstall:
	@echo removing executeable file
	@rm -f ${DESTDIR}${MANPREFIX}/bin/${PROJECT}
	@echo removing manual page
	@rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1

=== debian/changelog ===
zathura (0.0.8.1-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * New upstream version (Closes: #590205, #590974).
  * Correct Homepage (Closes: #590970).
  * Update watch file.
  * Update Standards version to 3.9.1 (no changes needed).
  * Remove patch `manpage-description` (applied upstream).
  * Add `poppler-data` to Suggests.
  * Add patch `fix-cmd-print` to fix printing issues.

  [ Jakub Wilk ]
  * Prevent upstream makefile from stripping binaries.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 02 Aug 2010 14:26:04 +0200

zathura (0.0.7-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * Initial release (Closes: #582119)

  [ Jakub Wilk ]
  * Add myself to uploaders.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 23 Jul 2010 12:18:37 +0200

=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libpoppler-glib-dev (>= 0.12.3),
 libcairo2-dev (>= 1.8.8), libgtk2.0-dev (>= 2.18.6), pkg-config
Standards-Version: 3.9.1
Homepage: http://pwmt.org/projects/zathura

Package: zathura
Architecture: any
Provides: pdf-viewer
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-client | lprng, www-browser, poppler-data
Description: PDF viewer with a minimalistic interface
 zathura is a PDF viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# remove unused libraries to reduce dependencies
LDFLAGS=-Wl,--as-needed

%:
	dh $@ 

override_dh_clean:
	dh_clean config.h

=== debian/watch ===
version=3
http://pwmt.org/projects/zathura/files .*/zathura-(.*)\.tar\.gz

## zathura 0.0.8.2

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 options:
 	@echo ${PROJECT} build options:
 	@echo "CFLAGS  = ${CFLAGS}"
+	@echo "LDFLAGS = ${LDFLAGS}"
 	@echo "LIBS    = ${LIBS}"
 	@echo "DFLAGS  = ${DFLAGS}"
 	@echo "CC      = ${CC}"
@@ -69,7 +70,7 @@
 	@rm -rf ${PROJECT}-${VERSION}
 
 install: all
-	@echo installing executeable file
+	@echo installing executable file
 	@mkdir -p ${DESTDIR}${PREFIX}/bin
 	@cp -f ${PROJECT} ${DESTDIR}${PREFIX}/bin
 	@chmod 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin/${PROJECT}
@@ -79,7 +80,7 @@
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
 
 uninstall:
-	@echo removing executeable file
+	@echo removing executable file
 	@rm -f ${DESTDIR}${MANPREFIX}/bin/${PROJECT}
 	@echo removing manual page
 	@rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1

=== debian/changelog ===
zathura (0.0.8.2-4) unstable; urgency=low

  * Add patch `fix-options-section-and-gtk-capitalization` (Closes: #607011,
    #607013).
  * Add patch `dont-segfault-on-reload-document`.
  * Add patch `build-with-poppler-0.15` to be able to build with poppler
    versions >= 0.15.
  * Update `debian/copyright` to DEP5.
  * Update `debian/watch` due to new website layout.
  * Update URLs in patches `fix-bookmark-memory-issues` and
    `fix-regression-from-f91bea5f` due to new website layout.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 25 Feb 2011 14:05:16 +0100

zathura (0.0.8.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 06 Feb 2011 13:39:44 +0100

zathura (0.0.8.2-2) experimental; urgency=low

  * Add patch `fix-regression-from-f91bea5f` to fix regression introduced by
    `fix-bookmark-memory-issues`.
  * Add documentation for `scroll_wrap` to zathurarc.5 manpage.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sun, 12 Dec 2010 11:52:25 +0100

zathura (0.0.8.2-1) experimental; urgency=low

  * New upstream version (Closes: #598056).
  * Remove patch `fix-cmd-print` (applied upstream).
  * Remove patch `do-not-strip`. zathura's build system now honors predefinied
    values of `SFLAGS`.
  * Remove patch `fix-settings-descriptions` (applied upstream).
  * Add patch `fix-bookmark-memory-issues` to fix memory issues in code
    related to bookmarks which made them almost useless.
  * Honor `CFLAGS` and `LDFLAGS` from dpkg-buildflags and therefore add `dpkg`
    to Build-Depends.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Wed, 02 Dec 2010 11:31:38 +0100

zathura (0.0.8.1-2) unstable; urgency=low

  * Add zathurarc.5 manpage (Closes: #593552).
  * Add `python-docutils` to Build-Depends to build the manpage.
  * Add zathurarc example.
  * Add patch `fix-settings-descriptions` to display correct descriptions.
  * Correct the origin of patch `fix-cmd-print`.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 19 Aug 2010 20:05:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
 Uploaders: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libpoppler-glib-dev (>= 0.12.3),
- libcairo2-dev (>= 1.8.8), libgtk2.0-dev (>= 2.18.6), pkg-config
+ libcairo2-dev (>= 1.8.8), libgtk2.0-dev (>= 2.18.6), pkg-config,
+ python-docutils (>= 0.6), dpkg (>= 1.15.7)
 Standards-Version: 3.9.1
 Homepage: http://pwmt.org/projects/zathura

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
# remove unused libraries to reduce dependencies
export LDFLAGS=-Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
# do not strip
export SFLAGS=

%:
	dh $@ 

override_dh_clean:
	dh_clean config.h debian/zathurarc.5

override_dh_installman:
	rst2man debian/zathurarc.5.rst > debian/zathurarc.5
	dh_installman

=== debian/watch ===
version=3
http://pwmt.org/files zathura-(.*)\.tar\.gz

## zathura 0.0.8.4

=== debian/changelog ===
zathura (0.0.8.4-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * debian/{rules,zathurarc.5.rst,zathura.manpages}: zathurarc.5.rst is now
    shipped by upstream and built in the Makefile.
  * debian/rules: use debian/clean instead of overriding dh_clean.
  * debian/copyright:
    - Update Format URL and update to latest revision (no changes needed).
    - Update Copyright info to reflect changes from upstream's LICENSE.
    - Fix typo in my name.

  [ Jakub Wilk ]
  * Set DM-Upload-Allowed field.
  * debian/watch: update once again due to new website layout.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 23 Jul 2011 23:31:04 +0200

zathura (0.0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Removed patches `fix-options-section-and-gtk-capitalization`,
    `build-with-poppler-0.15`, `fix-regression-from-f91bea5f` and
    `fix-bookmark-memory-issues` (all applied upstram).
  * Update `debian/watch` due to new website layout.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 24 Mar 2011 13:05:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,3 @@
 
 %:
 	dh $@ 
-
-override_dh_clean:
-	dh_clean config.h debian/zathurarc.5
-
-override_dh_installman:
-	rst2man debian/zathurarc.5.rst > debian/zathurarc.5
-	dh_installman

## zathura 0.0.8.5

=== Makefile ===
# See LICENSE file for license and copyright information
# zathura - user interface

include config.mk
include common.mk

PROJECT  = zathura
SOURCE   = zathura.c
OBJECTS  = ${SOURCE:.c=.o}
DOBJECTS = ${SOURCE:.c=.do}

all: options ${PROJECT}

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LDFLAGS = ${LDFLAGS}"
	@echo "LIBS    = ${LIBS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

%.o: %.c
	$(ECHO) CC $<
	$(QUIET)${CC} -c ${CFLAGS} -o $@ $<

%.do: %.c
	$(ECHO) CC $<
	$(QUIET)${CC} -c ${CFLAGS} ${DFLAGS} -o $@ $<

${OBJECTS}:  config.h config.mk
${DOBJECTS}: config.h config.mk

config.h: config.def.h
	@if [ -f $@ ] ; then \
		echo "config.h exists, but config.def.h is newer. Please check your" \
		"config.h or ${PROJECT} might fail to build." ; \
	else \
		cp $< $@ ; \
	fi

${PROJECT}: ${OBJECTS}
	$(ECHO) CC -o $@
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}

clean:
	$(QUIET)rm -rf ${PROJECT} ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
		${DOBJECTS} ${PROJECT}-debug

distclean: clean
	$(QUIET)rm -rf config.h

${PROJECT}-debug: ${DOBJECTS}
	$(ECHO) CC -o ${PROJECT}-debug
	$(QUIET)${CC} ${LDFLAGS} -o ${PROJECT}-debug ${DOBJECTS} ${LIBS}

debug: ${PROJECT}-debug

valgrind: debug
	valgrind --tool=memcheck --leak-check=yes --show-reachable=yes \
		./${PROJECT}-debug

gdb: debug
	cgdb ${PROJECT}-debug

dist: clean
	$(QUIET)mkdir -p ${PROJECT}-${VERSION}
	$(QUIET)cp -R LICENSE Makefile config.mk common.mk config.def.h README \
			${PROJECT}.desktop ${PROJECT}rc.5.rst \
			${PROJECT}.1 ${SOURCE} ${PROJECT}-${VERSION}
	$(QUIET)tar -cf ${PROJECT}-${VERSION}.tar ${PROJECT}-${VERSION}
	$(QUIET)gzip ${PROJECT}-${VERSION}.tar
	$(QUIET)rm -rf ${PROJECT}-${VERSION}

install: all
	$(ECHO) installing executable file
	$(QUIET)mkdir -p ${DESTDIR}${PREFIX}/bin
	$(QUIET)install -m 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin
	$(ECHO) installing manual page
	$(QUIET)mkdir -p ${DESTDIR}${MANPREFIX}/man1
	$(QUIET)sed "s/VERSION/${VERSION}/g" < ${PROJECT}.1 > ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
	$(QUIET)if which rst2man > /dev/null ; then \
		mkdir -p ${DESTDIR}${MANPREFIX}/man5 ; \
		rst2man ${PROJECT}rc.5.rst > ${DESTDIR}${MANPREFIX}/man5/${PROJECT}rc.5 ; \
	fi
	$(QUIET)chmod 644 ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
	$(QUIET)mkdir -p ${DESTDIR}${DESKTOPPREFIX}
	$(ECHO) installing desktop file
	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}

uninstall:
	$(ECHO) removing executable file
	$(QUIET)rm -f ${DESTDIR}${PREFIX}/bin/${PROJECT}
	$(ECHO) removing manual page
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man5/${PROJECT}rc.5
	$(ECHO) removing desktop file
	$(QUIET)rm -f ${DESTDIR}${DESKTOPPREFIX}/${PROJECT}.desktop

=== debian/changelog ===
zathura (0.0.8.5-3) unstable; urgency=low

  * debian/patches: add safe-realloc-fix from upstream to fix crash while
    trying to complete unknown commands.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 12 Dec 2011 01:21:19 +0100

zathura (0.0.8.5-2) unstable; urgency=low

  * Pass CPPFLAGS to the build system. Thanks to Jakub Wilk for the report.
    (Closes: #648336)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 12 Nov 2011 14:57:52 +0100

zathura (0.0.8.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: drop dont-invert-y-coordinate (applied upstream).
  * debian/rules: enable verbose build output.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 10 Nov 2011 13:19:05 +0100

zathura (0.0.8.4-2) unstable; urgency=low

  * debian/patches: add patch dont-invert-y-coordinate from upstream to fix
    usage of poppler_page_get_selected_text. (Closes: 635551)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 29 Jul 2011 10:35:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
 Uploaders: Jakub Wilk <jwilk@debian.org>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), libpoppler-glib-dev (>= 0.12.3),
  libcairo2-dev (>= 1.8.8), libgtk2.0-dev (>= 2.18.6), pkg-config,
  python-docutils (>= 0.6), dpkg (>= 1.15.7)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# zathura's build system does not support CPPFLAGS yet
export CFLAGS=$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
# remove unused libraries to reduce dependencies
export LDFLAGS=-Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1

%:
	dh $@

=== debian/watch ===
version=3
http://pwmt.org/projects/zathura/ http://pwmt\.org/download/zathura-(.*)\.tar\.gz

## zathura 0.1.2

=== Makefile ===
# See LICENSE file for license and copyright information

include config.mk
include common.mk

PROJECT    = zathura
OSOURCE    = $(wildcard *.c)
HEADER     = $(wildcard *.h)
HEADERINST = version.h zathura.h document.h macros.h

ifneq (${WITH_SQLITE},0)
INCS   += $(SQLITE_INC)
LIBS   += $(SQLITE_LIB)
SOURCE = $(OSOURCE)
CPPFLAGS += -DWITH_SQLITE
else
SOURCE = $(filter-out database-sqlite.c,$(OSOURCE))
endif

ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
VALGRIND_ARGUMENTS += --suppressions=${VALGRIND_SUPPRESSION_FILE}
endif

OBJECTS  = $(patsubst %.c, %.o,  $(SOURCE))
DOBJECTS = $(patsubst %.c, %.do, $(SOURCE))

all: options ${PROJECT} po build-manpages

girara-version-check:
ifneq ($(GIRARA_VERSION_CHECK), 0)
	$(error "The minimum required version of girara is ${GIRARA_MIN_VERSION}")
endif
	$(QUIET)touch girara-version-check

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LIBS    = ${LIBS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

version.h: version.h.in config.mk
	$(QUIET)sed 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' < version.h.in | \
		sed 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' | \
		sed 's/ZVREV/${ZATHURA_VERSION_REV}/' | \
		sed 's/ZVAPI/${ZATHURA_API_VERSION}/' | \
		sed 's/ZVABI/${ZATHURA_ABI_VERSION}/' > version.h

%.o: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

%.do: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${OBJECTS}:  config.mk version.h girara-version-check
${DOBJECTS}: config.mk version.h girara-version-check

${PROJECT}: ${OBJECTS}
	$(ECHO) CC -o $@
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}

clean:
	$(QUIET)rm -rf ${PROJECT} ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
		${DOBJECTS} ${PROJECT}-debug .depend ${PROJECT}.pc doc version.h \
		*gcda *gcno $(PROJECT).info gcov *.tmp \
		girara-version-check
	$(QUIET)make -C tests clean
	$(QUIET)make -C po clean

${PROJECT}-debug: ${DOBJECTS}
	$(ECHO) CC -o $@
	$(QUIET)${CC} ${LDFLAGS} -o $@ ${DOBJECTS} ${LIBS}

debug: ${PROJECT}-debug

${PROJECT}.pc: ${PROJECT}.pc.in config.mk
	$(QUIET)echo project=${PROJECT} > ${PROJECT}.pc
	$(QUIET)echo version=${VERSION} >> ${PROJECT}.pc
	$(QUIET)echo apiversion=${ZATHURA_API_VERSION} >> ${PROJECT}.pc
	$(QUIET)echo abiversion=${ZATHURA_ABI_VERSION} >> ${PROJECT}.pc
	$(QUIET)echo includedir=${INCLUDEDIR} >> ${PROJECT}.pc
	$(QUIET)echo plugindir=${PLUGINDIR} >> ${PROJECT}.pc
	$(QUIET)echo GTK_VERSION=${ZATHURA_GTK_VERSION} >> ${PROJECT}.pc
	$(QUIET)cat ${PROJECT}.pc.in >> ${PROJECT}.pc

valgrind: debug
	 $(QUIET)G_SLICE=always-malloc G_DEBUG=gc-friendly ${VALGRIND} ${VALGRIND_ARGUMENTS} \
		 ./${PROJECT}-debug

gdb: debug
	$(QUIET)cgdb ${PROJECT}-debug

test: ${OBJECTS}
	$(QUIET)make -C tests run

dist: clean build-manpages
	$(QUIET)mkdir -p ${PROJECT}-${VERSION}
	$(QUIET)mkdir -p ${PROJECT}-${VERSION}/tests
	$(QUIET)mkdir -p ${PROJECT}-${VERSION}/po
	$(QUIET)cp LICENSE Makefile config.mk common.mk README AUTHORS Doxyfile \
			${PROJECT}.1.rst ${PROJECT}rc.5.rst ${OSOURCE} ${HEADER} ${PROJECT}.pc.in \
			${PROJECT}.desktop version.h.in \
			${PROJECT}.1 ${PROJECT}rc.5 \
			${PROJECT}-${VERSION}
	$(QUIET)cp tests/Makefile tests/config.mk tests/*.c \
			${PROJECT}-${VERSION}/tests
	$(QUIET)cp po/Makefile po/*.po ${PROJECT}-${VERSION}/po
	$(QUIET)tar -cf ${PROJECT}-${VERSION}.tar ${PROJECT}-${VERSION}
	$(QUIET)gzip ${PROJECT}-${VERSION}.tar
	$(QUIET)rm -rf ${PROJECT}-${VERSION}

doc:
	$(QUIET)doxygen Doxyfile

gcov: clean
	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} $(PROJECT)
	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} -C tests run
	$(QUIET)lcov --directory . --capture --output-file $(PROJECT).info
	$(QUIET)genhtml --output-directory gcov $(PROJECT).info

po:
	$(QUIET)${MAKE} -C po

update-po:
	$(QUIET)${MAKE} -C po update-po

ifneq "$(wildcard ${RSTTOMAN})" ""
%.1 %.5: config.mk
	$(QUIET)sed "s/VERSION/${VERSION}/g" < $@.rst > $@.tmp
	$(QUIET)${RSTTOMAN} $@.tmp > $@
	$(QUIET)rm $@.tmp

${PROJECT}.1: ${PROJECT}.1.rst
${PROJECT}rc.5: ${PROJECT}rc.5.rst

build-manpages: ${PROJECT}.1 ${PROJECT}rc.5
else
build-manpages:
endif

install-manpages: build-manpages
	$(ECHO) installing manual pages
	$(QUIET)mkdir -p ${DESTDIR}${MANPREFIX}/man1 ${DESTDIR}${MANPREFIX}/man5
ifneq "$(wildcard ${PROJECT}.1)" ""
	$(QUIET)install -m 644 ${PROJECT}.1 ${DESTDIR}${MANPREFIX}/man1
endif
ifneq "$(wildcard ${PROJECT}rc.5)" ""
	$(QUIET)install -m 644 ${PROJECT}rc.5 ${DESTDIR}${MANPREFIX}/man5
endif

install-headers: ${PROJECT}.pc
	$(ECHO) installing header files
	$(QUIET)mkdir -p ${DESTDIR}${INCLUDEDIR}/${PROJECT}
	$(QUIET)install -m 644 ${HEADERINST} ${DESTDIR}${INCLUDEDIR}/${PROJECT}
	$(ECHO) installing pkgconfig file
	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}/pkgconfig
	$(QUIET)install -m 644 ${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig

install: all install-headers install-manpages
	$(ECHO) installing executable file
	$(QUIET)mkdir -p ${DESTDIR}${PREFIX}/bin
	$(QUIET)install -m 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin
	$(QUIET)mkdir -p ${DESTDIR}${DESKTOPPREFIX}
	$(ECHO) installing desktop file
	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}
	$(MAKE) -C po install

uninstall-headers:
	$(ECHO) removing header files
	$(QUIET)rm -rf ${DESTDIR}${INCLUDEDIR}/${PROJECT}
	$(ECHO) removing pkgconfig file
	$(QUIET)rm -f ${DESTDIR}${LIBDIR}/pkgconfig/${PROJECT}.pc

uninstall:
	$(ECHO) removing executable file
	$(QUIET)rm -f ${DESTDIR}${PREFIX}/bin/${PROJECT}
	$(ECHO) removing manual pages
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man5/${PROJECT}rc.5
	$(ECHO) removing desktop file
	$(QUIET)rm -f ${DESTDIR}${DESKTOPPREFIX}/${PROJECT}.desktop
	$(MAKE) -C po uninstall

-include $(wildcard .depend/*.dep)

.PHONY: all options clean doc debug valgrind gdb dist doc install uninstall test \
	po install-headers uninstall-headers update-po install-manpages build-manpages

=== po/Makefile ===
# See LICENSE file for license and copyright information

PROJECT = zathura
CATALOGS = $(wildcard *.po)
MOS = $(patsubst %.po, %/LC_MESSAGES/${PROJECT}.mo, $(CATALOGS))

include ../config.mk
include ../common.mk

all: ${MOS}

clean:
	$(QUIET)rm -rf POTFILES.in POTFILES.in.tmp $(patsubst %.po, %, $(CATALOGS)) ${PROJECT}.pot

POTFILES.in: $(wildcard ../*.c)
	$(QUIET) set -e && rm -f $@.tmp && touch $@.tmp && \
	for f in $(^F) ; do \
		echo $$f >> $@.tmp ; \
	done && \
	mv $@.tmp $@

${PROJECT}.pot: POTFILES.in
	$(ECHO) regenerate ${PROJECT}.pot
	$(QUIET)intltool-update --pot --gettext-package=${PROJECT}

update-po: ${PROJECT}.pot
	$(ECHO) updating po: files ${CATALOGS}
	$(QUIET)set -e && for f in ${CATALOGS} ; do \
		intltool-update --dist --gettext-package=${PROJECT} `echo $$f | sed 's/\.po//'` ; \
	done

%/LC_MESSAGES/${PROJECT}.mo: %.po
	@mkdir -p $(@D)
	$(ECHO) msgfmt $(shell echo $< | sed 's/\.po//')
	$(QUIET)${MSGFMT} ${MSGFMTFLAGS} -c $< -o $@

install: ${MOS}
	$(ECHO) installing translations
	$(QUIET)set -e && for f in $^ ; do \
		mkdir -p $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
	done

uninstall: ${MOS}
	$(ECHO) removing translations
	$(QUIET)set -e && for f in $^ ; do \
		rm -f $(LOCALEDIR)/$$f; \
	done

.PHONY: all clean update-po install uninstall

=== tests/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../common.mk
include config.mk

PROJECT = tests
SOURCE  = tests.c $(wildcard test_*.c)
OBJECTS = ${SOURCE:.c=.o}

ZOSOURCE   = $(filter-out ../main.c,$(wildcard ../*.c))

ifneq (${WITH_SQLITE},0)
INCS   += $(SQLITE_INC)
LIBS   += $(SQLITE_LIB)
ZSOURCE += $(ZOSOURCE)
ifeq (,$(findstring -DWITH_SQLITE,${CPPFLAGS}))
CPPFLAGS += -DWITH_SQLITE
endif
else
ZSOURCE = $(filter-out ../database-sqlite.c,$(ZOSOURCE))
endif

ZOBJECTS = ${ZSOURCE:.c=.o}

all: ${PROJECT}

run: ${PROJECT}
	$(QUIET)./${PROJECT}

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LDFLAGS = ${LDFLAGS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

%.o: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c -I.. ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${PROJECT}: options ${OBJECTS}
	$(QUIET)make -C ..
	$(ECHO) CC -o $@
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${ZOBJECTS} ${LIBS}

${OBJECTS}: ../config.mk

clean:
	$(QUIET)rm -rf ${OBJECTS} ${PROJECT} *.gcno *.gcda .depend

.PHONY: all options clean debug run

-include $(wildcard .depend/*.dep)

=== debian/changelog ===
zathura (0.1.2-4) unstable; urgency=low

  * debian/{changelog,patches/fix-pan-problem}: Fix some typos.
  * debian/patches: Backport some fixes from upstream.
    - render-lock: Fix a crash if pages are rendered in the render thread and
      for printing at the same time.
    - printing: Print pages without margin and set up the orientation
      correctly.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 12 Jun 2012 10:48:20 +0200

zathura (0.1.2-3) unstable; urgency=low

  * debian/control: Add Suggests on zathura-{ps,djvu}.
  * debian/patches: Backport some fixes and translations from upstream.
    - fix-pan-problem: Fix bad panning behavior. (Closes: #669034)
    - close-on-destroy: Correctly close the document on exit so the current
      page is remembered.
    - free-index: Free index if document gets closed. Otherwise one would get
      the old index after a document gets reloaded.
    - add-translations: Backport new translations.
  * debian/copyright: Fix formatting.
  * debian/rules: Call xfvb-run with -a to prevent FTBFS if there is already
    another xvfb instance running.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 10 May 2012 20:02:11 +0200

zathura (0.1.2-2) unstable; urgency=low

  * debian/patches:
    - Add patch hurd-use-flock from upstream to fix FTBFS on hurd-i386.
    - Really remove unneeded patches.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 27 Mar 2012 12:08:58 +0200

zathura (0.1.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Add ABI versioning:
    - zathura now Provides zathura-abi-${abiversion}. Plugins should depend on
      zathura-abi-${abiversion} to denote the ABI version they are compatible
      with.
    - zathura-dev ships dh_zathura in /usr/share/zathura to generate the
      correct dependency.
    - debian/rules: Use dh_zathura in overide_dh_gencontrol to generate
      the correct providoes.
  * debian/patches: Drop fix-translation and add-zathurarc-content (not needed
    anymore).
  * debian/control:
    - Bump libgirara-dev dependencies to >= 0.1.2 since new symbols and macros
      from girara 0.1.2 are used.
    - Add Build-Dep on xvfb and xauth since the test suite now requires a X
      session.
  * debian/rules:
    - Run the test suite with xvfb-run.
    - Set CF_DEFAULT_TIMEOUT=0 to disable check's timeout check. The tests may
      take longer than the default timeout of 4 seconds.
    - Upstream's build system now builds the mo pages in the default target so
      there is no need to call it manually anymore.
  * debian/clean: Remove zathura.1 and zathurarc.5 as they are now shipped in
    the upstream tarball.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 26 Mar 2012 17:22:01 +0200

zathura (0.1.1-1) experimental; urgency=low

  * New upstream release. (Closes: #657159, #657160, #663131)
  * Pack zathura-pdf-poppler as part of zathura.
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no changes required).
    - Add Build-Dep on libgirara-dev.
    - Add Build-Dep on check to build the test suite.
    - Add Build-Dep on dpkg-dev (>= 1.16.1~) for
      /usr/share/dpkg/buildflags.mk.
    - Add Build-Dep on libsqlite3-dev to build sqlite database backend.
    - Add Build-Dep on gettext to build the translation files.
    - Add zathura-dev package.
    - Remove Suggests on cups-client | lpr. zathura now uses GTK+ to print.
    - Update description and mention the ability to extend zathura via
      plugins.
  * debian/patches:
    - Drop safe-realloc-fix (not needed anymore).
    - Drop use-sensible-browser. zathura now uses xdg-open via girara to open
      links.
    - Add fix-version-check from upstream. Otherwise the plugin will be
      relinked during install.
    - Add fix-translation from upstream. This fixes some issues with
      the German translation.
    - Add add-zathurarc-content from upstream so that zathurarc.5 is not
      useless.
  * debian/watch: Update once again due to website layout changes.
  * debian/zathura-pdf-poppler.watch: Add watch file for the PDF plugin.
  * debian/rules:
    - Build the plugin and translation files.
    - Add get-orig-source target to rename the PDF plugin's source
      accordingly.
    - Upstream's build system now supports CPPFLAGS.
    - Include /usr/share/dpkg/buildflags.mk to get the buildflags and call
      dpkg-buildflags directly to get the hardening=+all buildflags for zathura.
  * debian/examples/zathurarc: Update to new setting names and add an example
    on how to change the database backend.
  * debian/copyright:
    - Add copyright information for zathura-pdf-poppler.
    - Update copyright to reflect changes from upstream's LICENSE.
    - Update Format URL.
    - Update Upstream-Contact and Homepage.
  * debian/clean: Removed (not needed anymore).
  * debian/menu: Renamed to debian/zathura.menu.
  * debian/{zathura,zathura-dev}.install: Added to install files in the
    correct packages.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 15 Mar 2012 22:01:52 +0100

zathura (0.0.8.5-4) unstable; urgency=low

  * Enable all hardening flags. Thanks to Simon Ruderich for the patch.
    (Closes: #652688)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 20 Dec 2011 11:43:33 +0100

=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
Uploaders: Jakub Wilk <jwilk@debian.org>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 7.0.50~),
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 libgirara-dev (>= 0.1.2),
 libgtk2.0-dev (>= 2.18.6),
 libcairo2-dev (>= 1.8.8),
 libpoppler-glib-dev (>= 0.12.3),
 libsqlite3-dev,
 gettext,
 check,
 xvfb,
 xauth,
 python-docutils (>= 0.6)
Standards-Version: 3.9.3
Homepage: http://pwmt.org/projects/zathura

Package: zathura
Architecture: any
Provides:
 pdf-viewer,
 ${zathura:Provides}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 poppler-data,
 zathura-ps,
 zathura-djvu
Description: PDF viewer with a minimalistic interface
 zathura is a PDF viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.1.2),
 libgtk2.0-dev (>= 2.18.6),
 libcairo2-dev (>= 1.8.8)
Description: development files for zathura plugins
 zathura is a PDF viewer with a minimalistic and space saving interface. It
 can be extended to support other file formats via a plugin system.
 .
 This package contains the files to develop plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Use all hardening flags for zathura
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1
# build flags for the plugin
export ZATHURA_INC=-I$(CURDIR)/zathura-headers/usr/include
export PLUGINDIR=/usr/lib/zathura
export PKG_CONFIG_PATH=$(CURDIR)/zathura-headers/usr/lib/pkgconfig
# disable check's timeout funtionality
export CK_DEFAULT_TIMEOUT=0

PDFVER=0.1.1
PDFVERC=$(subst .,-,$(PDFVER))

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p')
get-orig-source:
	uscan --no-conf \
		--force-download \
		--rename \
		--watchfile $(DEB_DEBDIR)/watch \
		--package zathura \
		--upstream-version $(DEB_UPSTREAM_VER) \
		--destdir=.
	TMPD=`mktemp -d` && \
	uscan --no-conf \
		--force-download \
		--no-symlink \
		--watchfile $(DEB_DEBDIR)/zathura-pdf-poppler.watch \
		--package zathura-pdf-poppler \
		--upstream-version $(PDFVER) \
		--destdir=$$TMPD && \
	mv $$TMPD/zathura-pdf-poppler-$(PDFVER).tar.gz \
		zathura_$(DEB_UPSTREAM_VER).orig-pdf-poppler-$(PDFVERC).tar.gz && \
	rmdir $$TMPD

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C pdf-poppler-$(PDFVERC) clean
	# ... and remove the headers
	$(MAKE) uninstall-headers DESTDIR=$(CURDIR)/zathura-headers

override_dh_auto_build:
	$(shell $(dpkg_buildflags) --export=configure) $(MAKE)
	# we need the headers to build the plugin
	$(MAKE) install-headers DESTDIR=$(CURDIR)/zathura-headers
	$(MAKE) -C pdf-poppler-$(PDFVERC)

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C pdf-poppler-$(PDFVERC) install \
		DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a $(MAKE) test
endif

override_dh_gencontrol:
	./debian/dh_zathura -pzathura --substvar=zathura:Provides
	dh_gencontrol

## zathura 0.2.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PROJECT    = zathura
 OSOURCE    = $(wildcard *.c)
 HEADER     = $(wildcard *.h)
-HEADERINST = version.h zathura.h document.h macros.h
+HEADERINST = version.h document.h macros.h page.h types.h plugin-api.h links.h
 
 ifneq (${WITH_SQLITE},0)
 INCS   += $(SQLITE_INC)
@@ -17,8 +17,24 @@
 SOURCE = $(filter-out database-sqlite.c,$(OSOURCE))
 endif
 
+ifneq ($(WITH_MAGIC),0)
+INCS += $(MAGIC_INC)
+LIBS += $(MAGIC_LIB)
+CPPFLAGS += -DWITH_MAGIC
+endif
+
 ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
 VALGRIND_ARGUMENTS += --suppressions=${VALGRIND_SUPPRESSION_FILE}
+endif
+
+ifeq (,$(findstring -DZATHURA_PLUGINDIR,${CPPFLAGS}))
+CPPFLAGS += -DZATHURA_PLUGINDIR=\"${PLUGINDIR}\"
+endif
+ifeq (,$(findstring -DGETTEXT_PACKAGE,${CPPFLAGS}))
+CPPFLAGS += -DGETTEXT_PACKAGE=\"${PROJECT}\"
+endif
+ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
+CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
 endif
 
 OBJECTS  = $(patsubst %.c, %.o,  $(SOURCE))
@@ -68,8 +84,11 @@
 		${DOBJECTS} ${PROJECT}-debug .depend ${PROJECT}.pc doc version.h \
 		*gcda *gcno $(PROJECT).info gcov *.tmp \
 		girara-version-check
-	$(QUIET)make -C tests clean
-	$(QUIET)make -C po clean
+ifneq "$(wildcard ${RSTTOMAN})" ""
+	$(QUIET)rm -f zathura.1 zathurarc.5
+endif
+	$(QUIET)$(MAKE) -C tests clean
+	$(QUIET)$(MAKE) -C po clean
 
 ${PROJECT}-debug: ${DOBJECTS}
 	$(ECHO) CC -o $@
@@ -131,7 +150,8 @@
 ifneq "$(wildcard ${RSTTOMAN})" ""
 %.1 %.5: config.mk
 	$(QUIET)sed "s/VERSION/${VERSION}/g" < $@.rst > $@.tmp
-	$(QUIET)${RSTTOMAN} $@.tmp > $@
+	$(QUIET)${RSTTOMAN} $@.tmp > $@.out.tmp
+	$(QUIET)mv $@.out.tmp $@
 	$(QUIET)rm $@.tmp
 
 ${PROJECT}.1: ${PROJECT}.1.rst
@@ -144,7 +164,7 @@
 
 install-manpages: build-manpages
 	$(ECHO) installing manual pages
-	$(QUIET)mkdir -p ${DESTDIR}${MANPREFIX}/man1 ${DESTDIR}${MANPREFIX}/man5
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${MANPREFIX}/man1 ${DESTDIR}${MANPREFIX}/man5
 ifneq "$(wildcard ${PROJECT}.1)" ""
 	$(QUIET)install -m 644 ${PROJECT}.1 ${DESTDIR}${MANPREFIX}/man1
 endif
@@ -154,17 +174,17 @@
 
 install-headers: ${PROJECT}.pc
 	$(ECHO) installing header files
-	$(QUIET)mkdir -p ${DESTDIR}${INCLUDEDIR}/${PROJECT}
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${INCLUDEDIR}/${PROJECT}
 	$(QUIET)install -m 644 ${HEADERINST} ${DESTDIR}${INCLUDEDIR}/${PROJECT}
 	$(ECHO) installing pkgconfig file
-	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}/pkgconfig
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}/pkgconfig
 	$(QUIET)install -m 644 ${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig
 
 install: all install-headers install-manpages
 	$(ECHO) installing executable file
-	$(QUIET)mkdir -p ${DESTDIR}${PREFIX}/bin
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${PREFIX}/bin
 	$(QUIET)install -m 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin
-	$(QUIET)mkdir -p ${DESTDIR}${DESKTOPPREFIX}
+	$(QUIET)mkdir -m 755 -p ${DESTDIR}${DESKTOPPREFIX}
 	$(ECHO) installing desktop file
 	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}
 	$(MAKE) -C po install
@@ -175,7 +195,7 @@
 	$(ECHO) removing pkgconfig file
 	$(QUIET)rm -f ${DESTDIR}${LIBDIR}/pkgconfig/${PROJECT}.pc
 
-uninstall:
+uninstall: uninstall-headers
 	$(ECHO) removing executable file
 	$(QUIET)rm -f ${DESTDIR}${PREFIX}/bin/${PROJECT}
 	$(ECHO) removing manual pages

=== debian/changelog ===
zathura (0.2.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: Add zathura-cb to zathura's Suggests.
  * debian/rules: Disable tests on kfreebsd-amd64 since check is broken there
    (cf. 712196).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Jun 2013 23:31:08 +0200

zathura (0.2.3-1) experimental; urgency=low

  * New upstream release.
    - zathura 0.2.3.
    - zathura-pdf-poppler 0.2.3.
  * debian/patches: Removed, not needed anymore.
  * debian/zathura.install: Install desktop file for the PDF plugin.
  * debian/control:
    - Remove Jakub Wilk from Uploaders on his request. Thanks for your work
      on zathura, Jakub.
    - Bump libgirara-dev dependencies to >= 0.1.6.
    - Drop Build-Conflicts on libpng-dev (>= 0.15) since it's gone.
    - Add Build-Dep on libmagic-dev for the new MIME type detection code.
  * debian/copyright: Update copyright years of zathura-pdf-poppler and update
    my mail address for the upstream copyright.
  * debian/rules: Run dh with --parallel.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 13 May 2013 21:32:28 +0200

zathura (0.2.2-1) experimental; urgency=low

  * New upstream release.
    - zathura-pdf-poppler 0.2.2.
  * debian/control: Bump libgirara-dev Build-Dep to >= 0.1.5.
  * debian/copyright: Update copyright years.
  * debian/patches:
    - Drop old patches, not needed anymore.
    - add-translations.patch: update some translations and add new
      translations for Catalan, Greek and Portuguese (Brazil).

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 24 Jan 2013 13:41:13 +0100

zathura (0.2.1-2) experimental; urgency=low

  * debian/control:
    - Update my mail address.
    - Remove DMUA. Not needed anymore.
    - Bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright: Update my mail address.
  * debian/patches:
    - Add fix-czech-translation.patch: Fix errors in Czech translation. Thanks
      to Jakub Wilk for the report and the fixed strings. (Closes: #686972)
    - Add incremental-search.patch: Add config option to disable incremental
      search. (Closes: #686234)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 22 Nov 2012 00:14:36 +0100

zathura (0.2.1-1) experimental; urgency=low

  * New upstream release.
    - zathura 0.2.1
      + Makes :pagenum work again. (Closes: #676517)
    - zathura-pdf-poppler 0.2.1
  * d/control:
    - Bump libgirara-dev Build-Dep and Dep in zathura-dev to >= 0.1.4.
    - Bump debhelper Build-Dep to >= 9.
    - Add libpng15-dev (>= 1.5) to Build-Conflicts since it provides libpng12-dev
      but doesn't ship libpng12.pc and breaks `pkg-config --cflags gtk+-2.0`.
      As soon as #652001 is fixed or gdk-pixbuf-2.0.pc uses libpng15 (#642265),
      this change will be reverted.
  * d/compat: Bump to 9.
  * d/patches: Remove all patches, not needed anymore.
  * d/rules: Build test suite with the same flags as zathura.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 06 Sep 2012 11:41:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: zathura
 Section: text
 Priority: optional
-Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
-Uploaders: Jakub Wilk <jwilk@debian.org>
-DM-Upload-Allowed: yes
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.1.2),
+ libgirara-dev (>= 0.1.6),
  libgtk2.0-dev (>= 2.18.6),
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),
  libsqlite3-dev,
+ libmagic-dev,
  gettext,
  check,
  xvfb,
  xauth,
  python-docutils (>= 0.6)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura
@@ -33,7 +32,8 @@
  www-browser,
  poppler-data,
  zathura-ps,
- zathura-djvu
+ zathura-djvu,
+ zathura-cb
 Description: PDF viewer with a minimalistic interface
  zathura is a PDF viewer with a minimalistic and space saving interface.
  It offers a vim-like experience and has a focus on keyboard interaction.
@@ -54,7 +54,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.1.2),
+ libgirara-dev (>= 0.1.4),
  libgtk2.0-dev (>= 2.18.6),
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 export ZATHURA_INC=-I$(CURDIR)/zathura-headers/usr/include
 export PLUGINDIR=/usr/lib/zathura
 export PKG_CONFIG_PATH=$(CURDIR)/zathura-headers/usr/lib/pkgconfig
-# disable check's timeout funtionality
+# disable check's timeout functionality
 export CK_DEFAULT_TIMEOUT=0
 
-PDFVER=0.1.1
+PDFVER=0.2.3
 PDFVERC=$(subst .,-,$(PDFVER))
 
 DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
@@ -46,7 +46,7 @@
 	rmdir $$TMPD
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	$(MAKE) clean
@@ -65,9 +65,12 @@
 	$(MAKE) -C pdf-poppler-$(PDFVERC) install \
 		DESTDIR=$(CURDIR)/debian/tmp
 
+DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a $(MAKE) test
+ifeq (,$(filter kfreebsd-amd64,$(DEB_HOST_ARCH)))
+	xvfb-run -a env $(shell $(dpkg_buildflags) --export=configure) $(MAKE) test
+endif
 endif
 
 override_dh_gencontrol:

## zathura 0.2.6

=== Makefile ===
--- 
+++ 
@@ -42,11 +42,15 @@
 
 all: options ${PROJECT} po build-manpages
 
-girara-version-check:
-ifneq ($(GIRARA_VERSION_CHECK), 0)
-	$(error "The minimum required version of girara is ${GIRARA_MIN_VERSION}")
-endif
-	$(QUIET)touch girara-version-check
+# pkg-config based version checks
+.version-checks/%:
+	$(QUIET)test $($(*)_VERSION_CHECK) -eq 0 || \
+		pkg-config --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
+		echo "The minium required version of $(*) is $($(*)_MIN_VERSION)" && \
+		false \
+	)
+	@mkdir -p .version-checks
+	$(QUIET)touch $@
 
 options:
 	@echo ${PROJECT} build options:
@@ -56,11 +60,11 @@
 	@echo "CC      = ${CC}"
 
 version.h: version.h.in config.mk
-	$(QUIET)sed 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' < version.h.in | \
-		sed 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' | \
-		sed 's/ZVREV/${ZATHURA_VERSION_REV}/' | \
-		sed 's/ZVAPI/${ZATHURA_API_VERSION}/' | \
-		sed 's/ZVABI/${ZATHURA_ABI_VERSION}/' > version.h
+	$(QUIET)sed -e 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' \
+		-e 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' \
+		-e 's/ZVREV/${ZATHURA_VERSION_REV}/' \
+		-e 's/ZVAPI/${ZATHURA_API_VERSION}/' \
+		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' version.h.in > version.h
 
 %.o: %.c
 	$(ECHO) CC $<
@@ -72,8 +76,8 @@
 	@mkdir -p .depend
 	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep
 
-${OBJECTS}:  config.mk version.h girara-version-check
-${DOBJECTS}: config.mk version.h girara-version-check
+${OBJECTS} ${DOBJECTS}: config.mk version.h \
+	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
 
 ${PROJECT}: ${OBJECTS}
 	$(ECHO) CC -o $@
@@ -83,7 +87,7 @@
 	$(QUIET)rm -rf ${PROJECT} ${OBJECTS} ${PROJECT}-${VERSION}.tar.gz \
 		${DOBJECTS} ${PROJECT}-debug .depend ${PROJECT}.pc doc version.h \
 		*gcda *gcno $(PROJECT).info gcov *.tmp \
-		girara-version-check
+		.version-checks
 ifneq "$(wildcard ${RSTTOMAN})" ""
 	$(QUIET)rm -f zathura.1 zathurarc.5
 endif

=== po/Makefile ===
--- 
+++ 
@@ -1,8 +1,15 @@
 # See LICENSE file for license and copyright information
 
 PROJECT = zathura
-CATALOGS = $(wildcard *.po)
-MOS = $(patsubst %.po, %/LC_MESSAGES/${PROJECT}.mo, $(CATALOGS))
+GETTEXT_PACKAGE = $(PROJECT)
+CATALOGS  = $(wildcard *.po)
+LINGUAS  ?= $(patsubst %.po, %, $(CATALOGS))
+ifeq ($(LINGUAS),)
+ALINGUAS =
+else
+ALINGUAS = $(shell find $(patsubst %, %.po, $(LINGUAS)) 2>/dev/null)
+endif
+MOS = $(patsubst %, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(patsubst %.po, %, $(ALINGUAS)))
 
 include ../config.mk
 include ../common.mk
@@ -27,6 +34,7 @@
 	$(ECHO) updating po: files ${CATALOGS}
 	$(QUIET)set -e && for f in ${CATALOGS} ; do \
 		intltool-update --dist --gettext-package=${PROJECT} `echo $$f | sed 's/\.po//'` ; \
+		sed -i 's/Report-Msgid-Bugs-To: \\n/Report-Msgid-Bugs-To: http:\/\/bugs.pwmt.org\\n/'  "$$f" ; \
 	done
 
 %/LC_MESSAGES/${PROJECT}.mo: %.po
@@ -37,7 +45,7 @@
 install: ${MOS}
 	$(ECHO) installing translations
 	$(QUIET)set -e && for f in $^ ; do \
-		mkdir -p $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
+		mkdir -p -m 755 $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
 		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
 	done

=== tests/Makefile ===
--- 
+++ 
@@ -19,6 +19,12 @@
 endif
 else
 ZSOURCE = $(filter-out ../database-sqlite.c,$(ZOSOURCE))
+endif
+
+ifneq ($(WITH_MAGIC),0)
+INCS += $(MAGIC_INC)
+LIBS += $(MAGIC_LIB)
+CPPFLAGS += -DWITH_MAGIC
 endif
 
 ZOBJECTS = ${ZSOURCE:.c=.o}

=== debian/changelog ===
zathura (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Nov 2013 20:44:44 +0100

zathura (0.2.5-1) unstable; urgency=low

  * New upstream release.
    - zathura 0.2.5.
    - zathura-pdf-poppler 0.2.4.
    - Fixes page refresh issues. (Closes: #721260)
  * Bump zathura's ABI to 2gtk3 since zathura switched from GTK+2 to GTK+3.
    - dh_zathura: Allow alphanumeric characters in the ABI version "number".
  * debian/control:
    - Replace libgtk2.0-dev with libgtk-3-dev everywhere.
    - Bump libgirara-dev to >= 0.1.8 for proper GTK+3 support.
    - Bump Standards-Version to 3.9.5.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Nov 2013 17:14:31 +0100

zathura (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Re-enable test suite on kfreebsd-am64.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Aug 2013 01:19:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.1.6),
- libgtk2.0-dev (>= 2.18.6),
+ libgirara-dev (>= 0.1.8),
+ libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),
  libsqlite3-dev,
@@ -17,7 +17,7 @@
  xvfb,
  xauth,
  python-docutils (>= 0.6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura
@@ -54,8 +54,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.1.4),
- libgtk2.0-dev (>= 2.18.6),
+ libgirara-dev (>= 0.1.8),
+ libgtk-3-dev,
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins
  zathura is a PDF viewer with a minimalistic and space saving interface. It

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # disable check's timeout functionality
 export CK_DEFAULT_TIMEOUT=0
 
-PDFVER=0.2.3
+PDFVER=0.2.4
 PDFVERC=$(subst .,-,$(PDFVER))
 
 DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
@@ -56,6 +56,10 @@
 
 override_dh_auto_build:
 	$(shell $(dpkg_buildflags) --export=configure) $(MAKE)
+	# append gtk3 to ABI version for the GTK+2 -> GTK+3 switch
+	# (can be dropped once zathura bumps its ABI the next time)
+	$(MAKE) zathura.pc
+	sed -i 's/^abiversion=.*$$/&gtk3/' zathura.pc
 	# we need the headers to build the plugin
 	$(MAKE) install-headers DESTDIR=$(CURDIR)/zathura-headers
 	$(MAKE) -C pdf-poppler-$(PDFVERC)
@@ -65,12 +69,9 @@
 	$(MAKE) -C pdf-poppler-$(PDFVERC) install \
 		DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (,$(filter kfreebsd-amd64,$(DEB_HOST_ARCH)))
 	xvfb-run -a env $(shell $(dpkg_buildflags) --export=configure) $(MAKE) test
-endif
 endif
 
 override_dh_gencontrol:
